Bug Hunting Session
Bug 124840 - UI: text for confirming updating external links ("Enable Content") is strange
Summary: UI: text for confirming updating external links ("Enable Content") is strange
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2019-04-19 09:46 UTC by Cor Nouws
Modified: 2019-07-08 11:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-04-19 09:46:58 UTC
- Tools > Options > Calc > General > Updating should be set to "On request"
- Open a spreadsheet with 'external links' 
- A message bar appears "Automatic update of external links has been disabled"
and a button "Enable Content".

   > IMO that should be "Allow update" or ...

Found in 6.2.x / master
Comment 1 m.a.riosv 2019-04-19 20:45:21 UTC
You are right Coor.
+1000

Maybe more a bug than a enhancement.
Comment 2 Roman Kuznetsov 2019-04-20 10:17:56 UTC
Cor, can you suggest new phrase entirely for changing of existing?
Comment 3 Cor Nouws 2019-04-20 21:27:05 UTC
Hi Roman,

Change "Enable Content" in "Allow updating"
Comment 5 Commit Notification 2019-07-08 11:25:50 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ac870a45ffde14cfdf4406df16d6bb51d08bc171%5E%21

tdf#124840 Text for confirming updating external links should be

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.